On 16/03/2023 20:28, Sam James wrote:

# grep -rsin "FAIL:"
   /var/tmp/portage/sys-apps/coreutils-9.1_p20230313/temp/build.log
   8920:# XFAIL: 0
   8921:# FAIL:  2
   12462:FAIL: tests/misc/cksum-raw
   17659:FAIL: tests/df/df-symlink
   36761:# XFAIL: 0
   36762:# FAIL:  2
   37856:# XFAIL: 0
   37857:# FAIL:  0

The cksum-raw issue has already been reported by Bruno so I'm not
worried about that, but df-symlink is a bit odd.

I've put the whole log at tests/df/df-symlink.log at
http://sprunge.us/H2Sr6e.

There are multiple file system roots on that system which may be confusing 
things.
Does the attached avoid the issue?

make TESTS=tests/df/df-symlink.sh SUBDIRS=. check

thanks for all the testing,

Pádraig
diff --git a/tests/df/df-symlink.sh b/tests/df/df-symlink.sh
index 34e8a8fed..5d33fddba 100755
--- a/tests/df/df-symlink.sh
+++ b/tests/df/df-symlink.sh
@@ -30,14 +30,17 @@ df --out=source,target symlink > out || fail=1
 compare exp out || fail=1
 
 # Ensure we output the same values for device nodes and '.'
-# This was not the case in coreutil-8.22 on systems
+# This was not the case in coreutils-8.22 on systems
 # where the device in the mount list was a symlink itself.
 # I.e., '.' => /dev/mapper/fedora-home -> /dev/dm-2
 # Restrict this test to systems with a 1:1 mapping between
 # source and target.  This excludes for example BTRFS sub-volumes.
 if test "$(df --output=source | grep -F "$file_system" | wc -l)" = 1; then
-  df --out=source,target '.' > out || fail=1
-  compare exp out || fail=1
+  # Restrict to systems with a single file system root (and have findmnt(1))
+  if test "$(findmnt -n -r -o FSROOT | uniq | wc -l)" =  1; then
+    df --out=source,target '.' > out || fail=1
+    compare exp out || fail=1
+  fi
 fi
 
 test "$fail" = 1 && dump_mount_list_

Reply via email to